#ifndef FE_FXENGINE
#define FE_FXENGINE

#include <stdint.h>

/**
 * @brief      Clears zbuffer, counts fps and log settings
 *
 * @param[in]  libprof_channel  The libprof channel to be used to count_fps
 *              if you don't use libprof channel, (default), you send what you want,
 *              it doesn't matters ;)
 */
void fe_update(const uint32_t libprof_channel);

/* updates and clears vram, than calls fe_update */
void fe_display(const uint32_t libprof_channel);

void fe_custom_panic();

#endif
